> ## Documentation Index
> Fetch the complete documentation index at: https://devkit4ai.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Projects Payment Config

> List all developer's projects with their payment configuration status including test/live credential availability.



## OpenAPI

````yaml cloud-api/openapi.json get /api/v1/payments/projects
openapi: 3.1.0
info:
  title: Dev Kit for AI API
  description: 'API for Dev Kit for AI: Developer Toolkit for AI-Powered Web Applications'
  version: 1.6.1
servers:
  - url: https://api.devkit4ai.com
    description: Dev Kit for AI Production Server
  - url: https://api.vibecoding.ad
    description: Vibe Coding Production Server
security: []
paths:
  /api/v1/payments/projects:
    get:
      tags:
        - Payments
      summary: List Projects Payment Config
      description: >-
        List all developer's projects with their payment configuration status
        including test/live credential availability.
      operationId: list_projects_payment_config_api_v1_payments_projects_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectPaymentConfigListResponse'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    ProjectPaymentConfigListResponse:
      properties:
        projects:
          items:
            $ref: '#/components/schemas/ProjectPaymentConfigResponse'
          type: array
          title: Projects
        total:
          type: integer
          title: Total
      type: object
      required:
        - projects
        - total
      title: ProjectPaymentConfigListResponse
      description: List of projects with payment config status.
    ProjectPaymentConfigResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        has_payment_config:
          type: boolean
          title: Has Payment Config
        has_test_credentials:
          type: boolean
          title: Has Test Credentials
        has_live_credentials:
          type: boolean
          title: Has Live Credentials
        test_configured_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Test Configured At
        live_configured_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Live Configured At
        is_active:
          type: boolean
          title: Is Active
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - name
        - has_payment_config
        - has_test_credentials
        - has_live_credentials
        - is_active
        - created_at
      title: ProjectPaymentConfigResponse
      description: Project with payment configuration status.
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: auth/login

````